<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Peminjaman Sapras</title>
<body>
<div class="main-content" layout:fragment="main">
    <section class="section">
        <div class="section-header">
            <h1>Peminjaman Sapras</h1>
        </div>
        <div class="section-body">
            <div class="row">
                <div class="col-md-12 col-xs-12">
                    <div class="card">
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="card-body">
                                        <div class="row">
                                            <div class="col-md-6">
                                                <a href="" class="btn btn-primary btn-block">Peminjaman Ruangan</a>
                                            </div>
                                            <div class="col-md-6">
                                                <a href="" class="btn btn-secondary btn-block">Peminjaman Kendaraan</a>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="card-body">
                                        <div class="alert alert-success alert-dismissible fade show" role="alert" th:if="${berhasil != null}">
                                            <strong>Save</strong> data successful...
                                            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                                <span aria-hidden="true">&times;</span>
                                            </button>
                                        </div>
                                        <div class="alert alert-success alert-dismissible fade show" role="alert" th:if="${pembayaran != null}">
                                            <strong>Save</strong> data successful...
                                            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                                <span aria-hidden="true">&times;</span>
                                            </button>
                                        </div>
                                        <ul class="nav nav-tabs justify-content-center" id="myTab6" role="tablist">
                                            <li class="nav-item">
                                                <a class="nav-link active text-center" id="home-tab6" data-toggle="tab" href="#home6" role="tab" aria-controls="home" aria-selected="true">
                                                    <span><i class="fas fa-home"></i></span> Peminjaman Ruangan</a>
                                            </li>
                                            <li class="nav-item">
                                                <a class="nav-link text-center" id="profile-tab6" data-toggle="tab" href="#profile6" role="tab" aria-controls="profile" aria-selected="false">
                                                    <span><i class="fa fa-car"></i></span> Peminjaman Kendaraan</a>
                                            </li>
                                        </ul>
                                        <div class="tab-content tab-bordered" id="myTabContent6">
                                            <div class="tab-pane fade show active" id="home6" role="tabpanel" aria-labelledby="home-tab6">
                                                <div class="row">
                                                    <div class="col-md-12">
                                                        <div class="card">
                                                            <div class="card-header">
                                                                <h4>Riwayat Peminjaman Ruangan</h4>
                                                                <div class="card-header-action">
                                                                    <a th:href="@{/request/peminjamanSapras/ruangan(bulan = ${#dates.format(#dates.createNow(), 'MM')}, tahun = ${#dates.format(#dates.createNow(), 'YYYY')})}" class="btn btn-sm btn-info">Form Pengajuan Peminjaman Ruangan</a>
                                                                </div>
                                                            </div>
                                                            <div class="card-body">
                                                                <div class="table-responsive">
                                                                    <table class="table table-striped">
                                                                        <thead>
                                                                        <tr>
                                                                            <th>#</th>
                                                                            <th>Ruangan</th>
                                                                            <th>Tanggal Peminjaman</th>
                                                                            <th>Status</th>
                                                                            <th></th>
                                                                        </tr>
                                                                        </thead>
                                                                        <tbody>
                                                                        <tr th:each="dataRuangan, row:${ruangan}">
                                                                            <td th:text="${(row.index + 1)}">#</td>
                                                                            <td th:text="${dataRuangan.ruangan.namaRuangan}">#</td>
                                                                            <td th:text="${dataRuangan.tanggalPeminjaman}"></td>
                                                                            <td>
                                                                                <!-- Button trigger modal -->
                                                                                <button type="button" class="btn btn-primary btn-sm" data-toggle="modal" th:data-target="${'#approvalRuangan' + dataRuangan.id}">
                                                                                    WAITING
                                                                                </button>

                                                                                <!-- Modal -->
                                                                                <div class="modal fade bd-example-modal-lg" th:id="${'approvalRuangan' + dataRuangan.id}" data-backdrop="false" tabindex="-1" role="dialog" aria-labelledby="exampleModalLongTitle" aria-hidden="true">
                                                                                    <div class="modal-dialog modal-lg" role="document">
                                                                                        <div class="modal-content">
                                                                                            <div class="modal-header">
                                                                                                <h5 class="modal-title" id="exampleModalLongTitle">List Approval</h5>
                                                                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                                                    <span aria-hidden="true">&times;</span>
                                                                                                </button>
                                                                                            </div>
                                                                                            <div class="modal-body">
                                                                                                <div class="table-responsive">
                                                                                                    <table class="table table-striped">
                                                                                                        <thead>
                                                                                                        <tr>
                                                                                                            <th>#</th>
                                                                                                            <th>Approval</th>
                                                                                                            <th>Jabatan</th>
                                                                                                            <th>Status</th>
                                                                                                            <th>Tanggal Approval</th>
                                                                                                        </tr>
                                                                                                        </thead>
                                                                                                        <tbody>
                                                                                                        <tr th:each="dataApprovalRuangan, row:${listApprovalRuangan}">
                                                                                                            <td th:if="${dataRuangan.id == dataApprovalRuangan[0]}" th:text="${(row.index + 1)}"></td>
                                                                                                            <td th:if="${dataRuangan.id == dataApprovalRuangan[0]}" th:text="${dataApprovalRuangan[1]}"></td>
                                                                                                            <td th:if="${dataRuangan.id == dataApprovalRuangan[0]}" th:text="${dataApprovalRuangan[2]}"></td>
                                                                                                            <td th:if="${dataRuangan.id == dataApprovalRuangan[0]}" th:text="${dataApprovalRuangan[3]}"></td>
                                                                                                            <td th:if="${dataRuangan.id == dataApprovalRuangan[0]}" th:text="${dataApprovalRuangan[4]}"></td>
                                                                                                        </tr>
                                                                                                        </tbody>
                                                                                                    </table>
                                                                                                </div>
                                                                                            </div>
                                                                                            <div class="modal-footer">
                                                                                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <button type="button" class="btn btn-danger btn-sm" data-toggle="modal" th:data-target="${'#exampleModal' + dataRuangan.id}">
                                                                                    Cancel
                                                                                </button>

                                                                                <!-- Modal -->
                                                                                <div class="modal fade" th:id="${'exampleModal' + dataRuangan.id}" tabindex="-1" data-backdrop="false" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                                                    <div class="modal-dialog" role="document">
                                                                                        <form th:action="@{/request/peminjamanRuangan/cancel(peminjamanRuangan = ${dataRuangan.id})}" method="post">
                                                                                            <div class="modal-content">
                                                                                                <div class="modal-header">
                                                                                                    <h5 class="modal-title" id="exampleModalLabel">Info</h5>
                                                                                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                                                        <span aria-hidden="true">&times;</span>
                                                                                                    </button>
                                                                                                </div>
                                                                                                <div class="modal-body">
                                                                                                    Do you want to delete this data ?
                                                                                                </div>
                                                                                                <div class="modal-footer">
                                                                                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">No</button>
                                                                                                    <button type="submit" class="btn btn-primary">Yes</button>
                                                                                                </div>
                                                                                            </div>
                                                                                        </form>
                                                                                    </div>
                                                                                </div>
                                                                            </td>
                                                                        </tr>
                                                                        </tbody>
                                                                    </table>
                                                                </div>
                                                            </div>
                                                            <div class="card-footer text-center">
                                                                <a href="">Tampilkan Semua Data</a>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="tab-pane fade" id="profile6" role="tabpanel" aria-labelledby="profile-tab6">
                                                <div class="row">
                                                    <div class="col-md-12">
                                                        <div class="card">
                                                            <div class="card-header">
                                                                <h4>Riwayat Peminjaman Kendaraan</h4>
                                                                <div class="card-header-action">
                                                                    <a th:href="@{/request/peminjamanSapras/kendaraan(bulan = ${#dates.format(#dates.createNow(), 'MM')}, tahun = ${#dates.format(#dates.createNow(), 'YYYY')})}" class="btn btn-sm btn-info">Form Pengajuan Peminjaman Kendaraan</a>
                                                                </div>
                                                            </div>
                                                            <div class="card-body">
                                                                <div class="table-responsive">
                                                                    <table class="table table-striped">
                                                                        <thead>
                                                                        <tr>
                                                                            <th>#</th>
                                                                            <th>Kendaraan</th>
                                                                            <th>Tanggal Pinjam</th>
                                                                            <th>Tarif</th>
                                                                            <th>Status</th>
                                                                            <th></th>
                                                                            <th></th>
                                                                        </tr>
                                                                        </thead>
                                                                        <tbody>
                                                                        <tr th:each="data, row:${kendaraan}">
                                                                            <td th:text="${(row.index + 1)}">#</td>
                                                                            <td th:text="${data.idMobil.merek + '(' + data.idMobil.nomorPolisi + ')'}"></td>
                                                                            <td th:text="${data.tanggalPinjam}"></td>
                                                                            <td th:text="${'Rp. ' + #numbers.formatDecimal(data.idMobil.tarif, 0, 'POINT', 2, 'COMMA')}"></td>
                                                                            <td>
                                                                                <!-- Button trigger modal -->
                                                                                <button type="button" class="btn btn-primary btn-sm" data-toggle="modal" th:data-target="${'#approvalKendaraan' + data.id}">
                                                                                    WAITING
                                                                                </button>

                                                                                <!-- Modal -->
                                                                                <div class="modal fade bd-example-modal-lg" th:id="${'approvalKendaraan' + data.id}" data-backdrop="false" tabindex="-1" role="dialog" aria-labelledby="exampleModalLongTitle" aria-hidden="true">
                                                                                    <div class="modal-dialog modal-lg" role="document">
                                                                                        <div class="modal-content">
                                                                                            <div class="modal-header">
                                                                                                <h5 class="modal-title" id="">List Approval</h5>
                                                                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                                                    <span aria-hidden="true">&times;</span>
                                                                                                </button>
                                                                                            </div>
                                                                                            <div class="modal-body">
                                                                                                <div class="table-responsive">
                                                                                                    <table class="table table-striped">
                                                                                                        <thead>
                                                                                                        <tr>
                                                                                                            <th>#</th>
                                                                                                            <th>Approval</th>
                                                                                                            <th>Jabatan</th>
                                                                                                            <th>Status</th>
                                                                                                            <th>Tanggal Approval</th>
                                                                                                        </tr>
                                                                                                        </thead>
                                                                                                        <tbody>
                                                                                                        <tr th:each="dataApprovalKendaraan, row:${listApprovalKendaraan}">
                                                                                                            <td th:if="${data.id == dataApprovalKendaraan[0]}" th:text="${(row.index + 1)}"></td>
                                                                                                            <td th:if="${data.id == dataApprovalKendaraan[0]}" th:text="${dataApprovalKendaraan[1]}"></td>
                                                                                                            <td th:if="${data.id == dataApprovalKendaraan[0]}" th:text="${dataApprovalKendaraan[2]}"></td>
                                                                                                            <td th:if="${data.id == dataApprovalKendaraan[0]}" th:text="${dataApprovalKendaraan[3]}"></td>
                                                                                                            <td th:if="${data.id == dataApprovalKendaraan[0]}" th:text="${dataApprovalKendaraan[4]}"></td>
                                                                                                        </tr>
                                                                                                        </tbody>
                                                                                                    </table>
                                                                                                </div>
                                                                                            </div>
                                                                                            <div class="modal-footer">
                                                                                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            </td>
                                                                            <td>
                                                                                <a th:if="${data.statusPembayaran == 'BELUM_DIBAYAR' && data.statusPeminjaman == 'APPROVED'}" th:href="@{/peminjamanKendaraan/pembayaran(id = ${data.id})}" class="btn btn-outline-warning btn-sm">Segera Lakukan Pembayaran</a>
                                                                                <button th:if="${data.statusPembayaran == 'SUDAH_DIBAYAR'}" class="btn btn-success btn-sm">Sudah Dibayar</button>
                                                                            </td>
                                                                            <td>
                                                                                <form th:action="@{/request/peminjamanSapras/kendaraan/delete(peminjamanKendaraan = ${data.id})}" method="post">
                                                                                    <button class="btn btn-sm btn-danger" type="submit">cancel</button>
                                                                                </form>
                                                                            </td>
                                                                        </tr>
                                                                        </tbody>
                                                                    </table>
                                                                </div>
                                                            </div>
                                                            <div class="card-footer text-center">
                                                                <a href="">Tampilkan Semua Data</a>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!--<div class="card-body">
                            <div class="row">
                                <div class="col-md-12 col-xs-12">
                                    <form action="" method="get">
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>Bulan</label>
                                                    <select name="bulan" class="form-control" id="">
                                                        <option value="" selected disabled>&#45;&#45; Pilih Salah Satu</option>
                                                        <option value="01">Januari</option>
                                                        <option value="02">Februari</option>
                                                        <option value="03">Maret</option>
                                                        <option value="04">April</option>
                                                        <option value="05">Mei</option>
                                                        <option value="06">Juni</option>
                                                        <option value="07">Juli</option>
                                                        <option value="08">Agustus</option>
                                                        <option value="09">September</option>
                                                        <option value="10">Oktober</option>
                                                        <option value="11">November</option>
                                                        <option value="12">Desember</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>Tahun</label>
                                                    <input type="text" class="form-control" name="tahun">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-12 text-center">
                                                <button class="btn btn-info">Cari</button>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table table-striped">
                                    <thead>
                                    <tr>
                                        <th>Tanggal</th>
                                        <th th:each="data, row:${model}"><span th:text="${data.namaAset}"></span></th>
                                    </tr>
                                    </thead>
                                    <tr th:each="date ,i: ${#numbers.sequence(1, 31)}">
                                        <td th:if="${date >= 10}" th:text="${date}"></td>
                                        <td th:if="${date <= 9}" th:text="${'0' + date}"></td>
                                        <th th:each="data, row:${model}">
                                            <div th:each="dataPeminjam, row:${peminjam}">
                                                <div th:if="${data.id == dataPeminjam.aset.id}">
                                                    <button class="btn btn-sm btn-success" data-toggle="modal" th:data-target="${'#detail' + dataPeminjam.id}"
                                                            th:if="${date >= 10 && #strings.toString(date) == #strings.substring(dataPeminjam.tanggalMulaiPeminjaman ,8,10)}">Digunakan</button>
                                                    <button class="btn btn-sm btn-success" data-toggle="modal" th:data-target="${'#detail' + dataPeminjam.id}"
                                                            th:if="${date <= 9 && #strings.toString('0' + date) == #strings.substring(dataPeminjam.tanggalMulaiPeminjaman ,8,10)}">Digunakan</button>
                                                    <button class="btn btn-sm btn-success"
                                                            th:if="${date >= 10 && #strings.toString(date) == #strings.substring(dataPeminjam.tanggalBerakhirPeminjaman ,8,10)}">Digunakan</button>
                                                </div>

                                                <div class="modal fade" th:id="${'detail' + dataPeminjam.id}" tabindex="-1" data-backdrop="false" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                    <div class="modal-dialog" role="document">
                                                        <div class="modal-content">
                                                            <div class="modal-header">
                                                                <h5 class="modal-title" id="exampleModalLabel">Info</h5>
                                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                    <span aria-hidden="true">&times;</span>
                                                                </button>
                                                            </div>
                                                            <div class="modal-body">
                                                                <p th:text="${dataPeminjam.aset.namaAset}"></p>
                                                                <p>Tanggal Mulai</p>
                                                                <p th:text="${dataPeminjam.tanggalMulaiPeminjaman}"></p>
                                                                <p>Tanggal Berakhir</p>
                                                                <p th:text="${dataPeminjam.tanggalBerakhirPeminjaman}"></p>
                                                            </div>
                                                            <div class="modal-footer">
                                                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                                                <button type="button" class="btn btn-primary">Save changes</button>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </th>
                                    </tr>
                                </table>
                            </div>
                        </div>-->
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>
</body>
</html>